package speiger.src.coreengine.rendering.gui.font;

public class FontSplitter {
	private static final int SPLITTER_CODE_POINT = '§';
	
	Font font;
	
	public FontSplitter(Font font) {
		this.font = font;
		System.out.println("Testing: "+SPLITTER_CODE_POINT);
	}
	
	public float width(String text) {
		return width(TextStyle.DEFAULT, text);
	}
	
	public float width(TextStyle style, String text) {
		float total = 0F;
		for(int i = 0,m=text.length();i<m;i++) {
			int codePoint = text.codePointAt(i);
			total += font.data(style.font(), codePoint).advance();
		}
		return total;
	}
	
	
	
}
